Up

# NSExtensionItem class documentation

### Authors

Generated by Debian

# Software documentation for the NSExtensionItem class

## NSExtensionItem : NSObject

> Declared in:
>   Foundation/NSExtensionItem.h

Availability: Not in OpenStep/MacOS-X
Description forthcoming.

Instance Variables
Method summary

- -attachments
- -attributedContentText
- -attributedTitle
- -setAttachments:
- -setAttributedContentText:
- -setAttributedTitle:
- -setUserInfo:
- -userInfo

### attachments

- (NSArray*) attachments;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### attributedContentText

- (NSAttributedString*) attributedContentText;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### attributedTitle

- (NSAttributedString*) attributedTitle;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setAttachments:

- (void) setAttachments: (NSArray*)attachments;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setAttributedContentText:

- (void) setAttributedContentText: (NSAttributedString*)string;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setAttributedTitle:

- (void) setAttributedTitle: (NSAttributedString*)string;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setUserInfo:

- (void) setUserInfo: (NSDictionary*)userInfo;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### userInfo

- (NSDictionary*) userInfo;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

## Instance Variables for NSExtensionItem Class

### _attachments

@protected NSArray* _attachments;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _attributedContentText

@protected NSAttributedString* _attributedContentText;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _attributedTitle

@protected NSAttributedString* _attributedTitle;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _userInfo

@protected NSDictionary* _userInfo;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up